Forum > macOS / Mac OS X

Lazarus 2.0.12 crash on MACOS 11.4

(1/1)

superc:
Hello,
I've installed Lazarus with success with package, after installed library with online installer I riceved an error like this:

Application Specific Information:
/usr/lib/libcrypto.dylib
abort() called
Invalid dylib load. Clients should not load the unversioned libcrypto dylib as it does not have a stable ABI.



Also I can not uninstall Lazarus, I am not an expert on MACOS, something could give me what tip,

Thanks in advance.

superc:
ok, I copied lazarus.old to lazarus from ~/.lazarus/bin/; well, Lazarus restart correctly. I retry to install pl_synapseVS and BOOM same error.
Someone use pl_synapseVS on MAC??

trev:

--- Quote from: superc on June 27, 2021, 03:53:44 pm ---Invalid dylib load. Clients should not load the unversioned libcrypto dylib as it does not have a stable ABI.

--- End quote ---

This is the problem; for more about it please read this Wiki link where I summarised the issue and solution.

Navigation

[0] Message Index

Go to full version